.486		
.model flat, stdcall
option casemap :none

; Include files

include \masm32\include\windows.inc
include \masm32\include\user32.inc
include \masm32\include\kernel32.inc
include \masm32\include\masm32.inc
include \masm32\include\comdlg32.inc
include \masm32\include\gdi32.inc

; Library files
includelib \masm32\lib\user32.lib
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\masm32.lib
includelib \masm32\lib\comdlg32.lib
includelib \masm32\lib\gdi32.lib

include    \masm32\macros\macros.asm

; Prototypes
DialogProc PROTO :DWORD,:DWORD,:DWORD,:DWORD

.const
IDD_DLG1	        equ 101        ;identifier in resource file

.data	
szTitle           db "Wavering Text 2",0

include data.inc


.data?
hInstance	   dd ?				;Module handle
handle         dd ?				;Dialog handle
hIcon          dd ?             ;caption bar icon handle


.code

include proc.inc


start:
invoke GetModuleHandleA,NULL
mov hInstance ,eax ; save handle for later use

mov hIcon, FUNC(LoadIcon, hInstance,200) ; get the icon from resource

; setup the dialog processing
invoke DialogBoxParamA,hInstance,IDD_DLG1,NULL, addr DialogProc,NULL  
invoke ExitProcess,NULL  ; terminate after dialog is closed

; Main Dialog Processing

DialogProc Proc   hwnd:dword, uMsg:dword, wParam:dword, lParam:dword

	.IF uMsg==WM_INITDIALOG
	
   INVOKE SetWindowText, hwnd, addr szTitle              
   INVOKE SendMessage, hwnd, WM_SETICON,ICON_SMALL, hIcon  

; WaveringText effects 

                         mov eax,hInstance
                         mov     edi, ds:LoadBitmapA
                         mov     esi, eax
                         push    8Ch
                         push    esi
                         call    edi ; LoadBitmapA
                         push    8Bh
                         push    esi
                         mov     dword_441654, eax
                         call    edi ; LoadBitmapA
                         test    ebx, ebx
                         mov     dword_441664, eax
                         jnz     short loc_401A8F
                         xor     eax, eax
                         jmp     short loc_401A92
         
         ; ---------------------------------------------------------------------------
         
         loc_401A8F:                             ; CODE XREF: sub_401780+309j
                         mov     eax,hwnd ;[ebx+1Ch]
         
         loc_401A92:                             ; CODE XREF: sub_401780+30Dj
                         push    44h ;Height->CreateCompatibleBitmap
                         push    158h ;Width->CreateCompatibleBitmap
                         push    eax
                         call    ds:GetDC
                         push    eax;hDC
                         call    ds:CreateCompatibleBitmap
                         mov     dword_44165C, eax
                         mov     ecx,hwnd;[ebx+1Ch]
                         push    offset loc_401000
                         push    28h
                         push    1
                         push    ecx
                         call    ds:SetTimer

     .ELSEIF uMsg==WM_COMMAND

	.ELSEIF uMsg==WM_CLOSE 
    INVOKE EndDialog, hwnd, 0
	.ENDIF   	

    xor eax,eax
    ret                           

DialogProc endp	

end start


